Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too large or internal Xlib length error) on protocol request 139

From: Unknown <[email-masked]>
Date: Thu, 24 Oct 2019 20:06:35 +0200

On Thu, 2019-10-24 at 19:22 +0300, Eli Zaretskii wrote:
> > From: Unknown <[email-masked]>
> > Cc: [email-masked]
> > Date: Thu, 24 Oct 2019 17:34:00 +0200
> >
> > Regarding the tracing: As far as I can see the bottommost emacs
> > code
> > being called is
> >
> > static Lisp_Object
> > xftfont_open (struct frame *f, Lisp_Object entity, int pixel_size)
> >
> > I also got
> >
> > (gdb) call debug_print(entity)
> > #<font-entity xft GOOG JoyPixels nil iso10646-1 normal normal
> > normal 0
> > nil nil 0 ((:font-entity "/usr/share/fonts/TTF/JoyPixels.ttf" .
> > 0))>
>
> So your file included some emoji, is that correct?

Well, that stands to reason. I suspect the doom-modeline package

https://github.com/seagle0128/doom-modeline

which relies heavily on icons and unicode symbols. In particular, there
are icons for the file types and minor modes. I think that opening a
C/C++ file activates some major/minor mode associated with an
icon/symbol triggering the error.